SDL_TryLockRWLockForWriting(3)

NAME
SDL_TryLockRWLockForWriting - Try to lock a read/write lock _for writing_ without blocking.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

bool SDL_TryLockRWLockForWriting(SDL_RWLock *rwlock);

DESCRIPTION
This works just like SDL_LockRWLockForWriting(), but if the rwlock is not available, then this function returns false immediately.

This technique is useful if you need exclusive access to a resource but don't want to wait for it, and will return to it to try again later.

It is illegal for the owning thread to lock an already-locked rwlock for writing (read-only may be locked recursively, writing can not). Doing so results in undefined behavior.

It is illegal to request a write lock from a thread that already holds a read-only lock. Doing so results in undefined behavior. Unlock the read-only lock before requesting a write lock.

This function returns true if passed a NULL rwlock.

FUNCTION PARAMETERS

rwlock
    the rwlock to try to lock.

RETURN VALUE
Returns true on success, false if the lock would block.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_LockRWLockForWriting(3), SDL_TryLockRWLockForReading(3), SDL_UnlockRWLock(3)